#
# todo:
# - mono bindings (build crashes on ppc)
#
# Conditional build:
%bcond_with	apidocs		# enable gtk-doc
%bcond_without	static_libs	# don't build static library

Summary:	Bluetooth GObject based library
Summary(pl.UTF-8):	Biblioteka do programowania urządzeń Bluetooth
Name:		libbtctl
Version:	0.10.0
Release:	12
License:	GPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libbtctl/0.10/%{name}-%{version}.tar.bz2
# Source0-md5:	83d5f90efb2b26d1bd12a668940d02ba
Patch0:		%{name}-make-jN.patch
Patch1:		%{name}-newapi.patch
Patch2:		glib.patch
Patch3:		format-security.patch
URL:		http://usefulinc.com/software/gnome-bluetooth/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	bluez-libs-devel >= 2.25
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.12.4
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.7}
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool
BuildRequires:	openobex-devel >= 1.2
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-pygtk-devel >= 2.10.3
BuildRequires:	rpm-pythonprov
Requires:	bluez-libs >= 2.25
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains a library to control Bluetooth devices.

%description -l pl.UTF-8
Ten pakiet zawiera bibliotekę do kontrolowania urządzeń Bluetooth.

%package devel
Summary:	Header files for libbtctl library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libbtctl
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	bluez-libs-devel >= 2.25
Requires:	glib2-devel >= 1:2.12.4
Requires:	openobex-devel >= 1.2

%description devel
Header files for libbtctl library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libbtctl.

%package static
Summary:	Static libbtctl library
Summary(pl.UTF-8):	Statyczna biblioteka libbtctl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libbtctl library.

%description static -l pl.UTF-8
Statyczna biblioteka libbtctl.

%package -n python-btctl
Summary:	Python bindings for libbtctl library
Summary(pl.UTF-8):	Wiązania dla języka Python biblioteki libbtctl
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-libs

%description -n python-btctl
Static libbtctl library.

%description -n python-btctl -l pl.UTF-8
Wiązania dla języka Python biblioteki libbtctl.

%package apidocs
Summary:	libbtctl API documentation
Summary(pl.UTF-8):	Dokumentacja API libbtctl
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
libbtctl API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libbtctl.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-mono \
	--%{?with_apidocs:en}%{!?with_apidocs:dis}able-gtk-doc \
	--with-html-path=%{_gtkdocdir} \
	%{!?with_static_libs:--disable-static}
%{__make} \
	pydir=%{py_sitedir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir} \
	pydir=%{py_sitedir}

rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.{la,a}

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/libbtctl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbtctl.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbtctl.so
%{_libdir}/libbtctl.la
%{_includedir}/%{name}
%{_pkgconfigdir}/libbtctl.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libbtctl.a
%endif

%files -n python-btctl
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/btctl.so

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libbtctl
%endif
%changelog
* Sat Mar 16 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libbtctl.git;a=log;h=master

* Sat Mar 16 2019 Jan Rękorajski <baggins@pld-linux.org> de40980
- release 12 (by relup.sh)

* Fri Mar 15 2019 Jan Palus <atler@pld-linux.org> 7557b77
- do not build apidocs by default (broken, feel free to fix); rel 11

* Thu May 05 2016 Jan Rękorajski <baggins@pld-linux.org> db79dde
- fix format string error
- fix compatibility with new glib2
- rel 10

* Sun Jan 10 2016 Elan Ruusamäe <glen@delfi.ee> 8e50ac9
- noarch apidoc

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> cb66303
- release 8 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 4ef5257
- updated gettext BR

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a636bc
- release 7

* Sun Nov 29 2009 sparky <sparky@pld-linux.org> d394a25
- BR: docbook-dtd412-xml, gettext-devel

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> eca1cf7
- release 6

* Wed Feb 04 2009 hawk <hawk@pld-linux.org> 897c7a7
- release 5

* Mon Oct 06 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 6f8871e
- release 4

* Sat Sep 06 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 24f5978
- added -newapi.patch
- more verbose files
- release 3

* Sat Sep 06 2008 Marcin Banasiak <marcin.banasiak@gmail.com> ce1879d
- port to new bluez-libs API

* Sun Aug 31 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d0c0e1
- release 2

* Mon Feb 04 2008 Patryk Zawadzki <patrys@room-303.com> 53e7f8e
- 0.10.0

* Tue Dec 18 2007 zbyniu <zbyniu@pld-linux.org> 13b9707
- repair parallel make

* Tue Dec 18 2007 zbyniu <zbyniu@pld-linux.org> b732990
- patch for repair parallel make

* Fri Sep 28 2007 Szymon Siwek <sls@pld-linux.org> e6b51d1
- __make -j1 (libtool: link: cannot find the library `libbtctl.la')

* Thu Jul 12 2007 Patryk Zawadzki <patrys@room-303.com> 5ef6839
- 0.9.0

* Sat May 19 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 8f2f102
- added apidocs bcond and subpackage
- release 2

